# PhasicFlow: fixedWall Class Reference

fixedWall Class Reference

Fixed wall motion model for walls. More...

## Classes

class | Model
| Motion model class to be passed to computational units/kernels for transfing points and returning velocities at various positions. More...

## Public Member Functions

| TypeInfoNV ("fixedWall")
| Type info. More...
| fixedWall ()
| Empty. More...
| fixedWall (const dictionary &dict)
| Constructor with dictionary. More...
| fixedWall (const fixedWall &)=default
| Copy constructor. More...
| fixedWall (fixedWall &&)=default
| Move constructor. More...
fixedWall & | operator= (const fixedWall &)=default
| Copy assignment. More...
fixedWall & | operator= (fixedWall &&)=default
| Move assignment. More...
| ~fixedWall ()=default
| Destructor. More...
Model | getModel (real t) const
| Return motion model t is the current simulation time More...
int32 | nameToIndex (const word &name) const
| Name of the motion component to index. More...
word | indexToName (label i) const
| Index of motion component to name. More...
INLINE_FUNCTION_HD realx3 | pointVelocity (label n, const realx3 &p) const
| Velocity at point p. More...
INLINE_FUNCTION_HD realx3 | transferPoint (label n, const realx3 p, real dt) const
| Transfer point p for dt seconds according to motion component n. More...
INLINE_FUNCTION_HD bool | transferPoint (label n, realx3 *pVec, size_t numP, real dt)
| Transfer a vector of point pVec for dt seconds according to motion component n. More...
INLINE_FUNCTION_HD bool | isMoving () const
| Are walls moving. More...
bool | move (real t, real dt)
| Move points. More...
FUNCTION_H bool | read (iIstream &is)
| Read from input stream is. More...
FUNCTION_H bool | write (iOstream &os) const
| Write to output stream os. More...

## Protected Member Functions

bool | readDictionary (const dictionary &dict)
| Read from a dictionary. More...
bool | writeDictionary (dictionary &dict) const
| write to a dictionary More...

## Protected Attributes

const word | name_ = "none"
| Name. More...

## Detailed Description

Fixed wall motion model for walls.

This class is used for geometries that are fixed during simulation.

    // In geometryDict file, this will defines fixed walls during simulation
    ...
    motionModel fixedWall;
    ...

Definition at line 50 of file fixedWall.hpp.

## Constructor & Destructor Documentation

## fixedWall() [1/4]

fixedWall | ( |  | ) |

Empty.

Definition at line 55 of file fixedWall.cpp.

## fixedWall() [2/4]

fixedWall | ( | const dictionary & | dict | ) |

Constructor with dictionary.

Definition at line 59 of file fixedWall.cpp.

References fatalExit.

## fixedWall() [3/4]

fixedWall | ( | const fixedWall & |  | ) |

default

Copy constructor.

## fixedWall() [4/4]

fixedWall | ( | fixedWall && |  | ) |

default

Move constructor.

## ~fixedWall()

~fixedWall | ( |  | ) |

default

Destructor.

## Member Function Documentation

## readDictionary()

bool readDictionary | ( | const dictionary & | dict | ) |

protected

Read from a dictionary.

Definition at line 26 of file fixedWall.cpp.

References pFlow::endl(), fatalErrorInFunction, and dictionary::getVal().

Here is the call graph for this function:

## writeDictionary()

bool writeDictionary | ( | dictionary & | dict | ) | const

protected

write to a dictionary

Definition at line 44 of file fixedWall.cpp.

References dictionary::add(), and dictionary::subDictOrCreate().

Here is the call graph for this function:

## TypeInfoNV()

TypeInfoNV | ( | "fixedWall" |  | ) |

Type info.

## operator=() [1/2]

fixedWall& operator= | ( | const fixedWall & |  | ) |

default

Copy assignment.

## operator=() [2/2]

fixedWall& operator= | ( | fixedWall && |  | ) |

default

Move assignment.

## getModel()

Model getModel | ( | real | t | ) | const

inline

Return motion model t is the current simulation time

Definition at line 140 of file fixedWall.hpp.

## nameToIndex()

int32 nameToIndex | ( | const word & | name | ) | const

inline

Name of the motion component to index.

Definition at line 146 of file fixedWall.hpp.

## indexToName()

word indexToName | ( | label | i | ) | const

inline

Index of motion component to name.

Definition at line 152 of file fixedWall.hpp.

References fixedWall::name_.

## pointVelocity()

INLINE_FUNCTION_HD realx3 pointVelocity | ( | label | n,
|  | const realx3 & | p
| ) |  | const

inline

Velocity at point p.

Definition at line 159 of file fixedWall.hpp.

References pFlow::zero3.

## transferPoint() [1/2]

INLINE_FUNCTION_HD realx3 transferPoint | ( | label | n,
|  | const realx3 | p,
|  | real | dt
| ) |  | const

inline

Transfer point p for dt seconds according to motion component n.

Definition at line 167 of file fixedWall.hpp.

## transferPoint() [2/2]

INLINE_FUNCTION_HD bool transferPoint | ( | label | n,
|  | realx3 * | pVec,
|  | size_t | numP,
|  | real | dt
| ) |  |

inline

Transfer a vector of point pVec for dt seconds according to motion component n.

Definition at line 175 of file fixedWall.hpp.

## isMoving()

INLINE_FUNCTION_HD bool isMoving | ( |  | ) | const

inline

Are walls moving.

Definition at line 182 of file fixedWall.hpp.

## move()

bool move | ( | real | t,
|  | real | dt
| ) |  |

inline

Move points.

Definition at line 188 of file fixedWall.hpp.

## read()

bool read | ( | iIstream & | is | ) |

Read from input stream is.

Definition at line 70 of file fixedWall.cpp.

References ioErrorInFile, IOstream::lineNumber(), pFlow::motionModelFile__, IOstream::name(), and dictionary::read().

Here is the call graph for this function:

## write()

bool write | ( | iOstream & | os | ) | const

Write to output stream os.

Definition at line 91 of file fixedWall.cpp.

References ioErrorInFile, IOstream::lineNumber(), pFlow::motionModelFile__, IOstream::name(), and dictionary::write().

Here is the call graph for this function:

## Member Data Documentation

## name_

const word name_ = "none"

protected

Name.

Definition at line 99 of file fixedWall.hpp.

Referenced by fixedWall::indexToName().

The documentation for this class was generated from the following files:

- src/MotionModel/fixedWall/fixedWall.hpp
- src/MotionModel/fixedWall/fixedWall.cpp